summaryrefslogtreecommitdiff
path: root/t/t3409-rebase-preserve-merges.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/t3409-rebase-preserve-merges.sh')
-rwxr-xr-xt/t3409-rebase-preserve-merges.sh18
1 files changed, 13 insertions, 5 deletions
diff --git a/t/t3409-rebase-preserve-merges.sh b/t/t3409-rebase-preserve-merges.sh
index 8c251c57a6..ec8062a66a 100755
--- a/t/t3409-rebase-preserve-merges.sh
+++ b/t/t3409-rebase-preserve-merges.sh
@@ -6,14 +6,22 @@ test_description='git rebase -p should preserve merges
Run "git rebase -p" and check that merges are properly carried along
'
+GIT_TEST_DEFAULT_INITIAL_BRANCH_NAME=main
+export GIT_TEST_DEFAULT_INITIAL_BRANCH_NAME
+
. ./test-lib.sh
+if ! test_have_prereq REBASE_P; then
+ skip_all='skipping git rebase -p tests, as asked for'
+ test_done
+fi
+
GIT_AUTHOR_EMAIL=bogus_email_address
export GIT_AUTHOR_EMAIL
# Clone 2 (conflicting merge):
#
-# A1--A2--B3 <-- origin/master
+# A1--A2--B3 <-- origin/main
# \ \
# B1------M <-- topic
# \
@@ -21,7 +29,7 @@ export GIT_AUTHOR_EMAIL
#
# Clone 3 (no-ff merge):
#
-# A1--A2--B3 <-- origin/master
+# A1--A2--B3 <-- origin/main
# \
# B1------M <-- topic
# \ /
@@ -39,7 +47,7 @@ test_expect_success 'setup for merge-preserving rebase' \
echo Second > B &&
git add B &&
git commit -m "Add B1" &&
- git checkout -f master &&
+ git checkout -f main &&
echo Third >> A &&
git commit -a -m "Modify A2" &&
echo Fifth > B &&
@@ -50,10 +58,10 @@ test_expect_success 'setup for merge-preserving rebase' \
(
cd clone2 &&
git checkout -b topic origin/topic &&
- test_must_fail git merge origin/master &&
+ test_must_fail git merge origin/main &&
echo Resolved >B &&
git add B &&
- git commit -m "Merge origin/master into topic"
+ git commit -m "Merge origin/main into topic"
) &&
git clone ./. clone3 &&